org.eclipse.wst.jsdt.chromium.debug.core.model

## Class LaunchParams.ValueConverter<P,L>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.LaunchParams.ValueConverter<P,L>

Enclosing class:
  LaunchParams

    public abstract static class LaunchParams.ValueConverter<P,L>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ValueConverter()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract L` `decode(P persistent)`
`abstract P` `encode(L logical)`
`static <T> LaunchParams.ValueConverter<T,T>` `getTrivial()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueConverter

    public ValueConverter()

### Method Detail

#### encode

    public abstract P encode(L logical)

#### decode

    public abstract L decode(P persistent)
                      throws CoreException

Throws:
  `CoreException`

#### getTrivial

    public static <T> LaunchParams.ValueConverter<T,T> getTrivial()